Get User By Email
curl --request GET \
--url https://api.topsort.com/public/v1/user-service/advertiser-users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/user-service/advertiser-users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/user-service/advertiser-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"vendorIds": [
"<string>"
],
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"givenName": "",
"familyName": "",
"languagePreference": "en"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}User API
Get User By Email
Get a user by email.
GET
/
public
/
v1
/
user-service
/
advertiser-users
Get User By Email
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
The email of the user to get.
Response
Successful Response
The email address of the vendor user
Maximum string length:
255Required array length:
1 - 1000 elementsThe unique identifier for the vendor user
The first name of the vendor user
Maximum string length:
50The last name of the vendor user
Maximum string length:
50The preferred language of the vendor user
Available options:
en, fr, es, pt, ru, ar-AE, de, ko Was this page helpful?